summaryrefslogtreecommitdiffstats
path: root/source/a/ncompress/ncompress.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/a/ncompress/ncompress.SlackBuild
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-slackware-14.2.tar.gz
current-slackware-14.2.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/a/ncompress/ncompress.SlackBuild')
-rwxr-xr-xsource/a/ncompress/ncompress.SlackBuild39
1 files changed, 27 insertions, 12 deletions
diff --git a/source/a/ncompress/ncompress.SlackBuild b/source/a/ncompress/ncompress.SlackBuild
index ba6f38d5c..871df2423 100755
--- a/source/a/ncompress/ncompress.SlackBuild
+++ b/source/a/ncompress/ncompress.SlackBuild
@@ -20,13 +20,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=4.2.4.3
+VERSION=4.2.4.4
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -37,9 +37,22 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-ncompress
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG
-
cd $TMP
rm -rf ncompress-${VERSION}
tar xzf $CWD/ncompress-${VERSION}.tar.gz
@@ -51,23 +64,26 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-make ENDIAN=4321 || exit 1
+make CFLAGS="$SLKCFLAGS" || exit 1
+
mkdir -p $PKG/usr/bin
cat compress > $PKG/usr/bin/compress
chmod 755 $PKG/usr/bin/compress
-( cd $PKG/usr/bin ; ln -sf compress uncompress )
+ln -s compress $PKG/usr/bin/uncompress
+
mkdir $PKG/bin
-( cd $PKG/bin ; ln -sf /usr/bin/compress compress )
-( cd $PKG/bin ; ln -sf compress uncompress )
+ln -s /usr/bin/compress $PKG/bin/compress
+ln -s compress $PKG/bin/uncompress
+
mkdir -p $PKG/usr/man/man1
-cat compress.1 | gzip -9c > $PKG/usr/man/man1/compress.1.gz
+gzip -9c compress.1 > $PKG/usr/man/man1/compress.1.gz
echo '.so man1/compress.1' | gzip -9c > $PKG/usr/man/man1/uncompress.1.gz
+
mkdir -p $PKG/usr/doc/ncompress-${VERSION}
cp -a \
- Acknowleds LZW.INFO README \
+ Acknowleds Changes LZW.INFO README \
$PKG/usr/doc/ncompress-${VERSION}
-# Strip everything for good measure:
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -76,7 +92,6 @@ cp -a \
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-# Build the package:
cd $PKG
-makepkg -l y -c n $TMP/ncompress-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/ncompress-$VERSION-$ARCH-$BUILD.txz